[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Whonix 15: 'state.cls' is not available

I installed the Whonix 15 templates via

sudo qubes-dom0-update --action=install qubes-template-whonix-gw-15 qubes-template-whonix-ws-15

and removed Whonix 14:

sudo rpm -e qubes-template-whonix-gw-14-4.0.1-201811040215
sudo rpm -e qubes-template-whonix-ws-14-4.0.1-201811040215

I replaced 14 with 15 in:

/srv/formulas/base/virtual-machines-formula/qvm/whonix.jinja

as described in:

and I rebooted dom0 as described in:
https://www.whonix.org/wiki/Qubes/Install#Footnotes

but the error persists:

sudo qubesctl state.cls qvm.anon-whonix
'state.cls' is not available.
DOM0 configuration failed, not continuing

Did you upgrade Qubes dom0 beforehand?

Are you using Qubes R4?

Not required but also not hurt.

Not required but also not hurt.

Meaning that your dom0 was not up to date.


Not easy to know for sure, however this is a Qubes rather than Whonix issue (as per What to post in this Qubes-Whonix forum and what not.) therefore should be reported at https://github.com/QubesOS/qubes-issues/issues.

Whonix maintains the inside of the templates but the outside of the templates, i.e. everything related to qubes-dom0-update, qubesctl, salt is up to Qubes.

Did you upgrade Qubes dom0 beforehand?

Yes
“No new updates available”

Are you using Qubes R4?

yes.

Any hints how to solve this issue?

As already said.

can you say which package was not updated?

(qubes-mgmt-salt-dom0-virtual-machines 4.0.16 did not reach the current repo yet.)

reported to Qubes OS:

/srv/formulas/base/virtual-machines-formula/qvm/whonix.jinja contains 15 if mgmt-salt-dom0-virtual-machines >= v4.0.16 is installed as per https://github.com/QubesOS/updates-status/issues/1184

So you are expecting people to run on current-testing, because 4.0.16 is not in ‘current’ yet.

No.

Quote https://github.com/QubesOS/updates-status/issues/1184

Package for dom0 was uploaded to stable repository

Did you actually verify that? Since there are multiple confirmations that 4.0.16 is not in R4.0 current repo yet.

the file is there:
hxxps://yum.qubes-os.org/r4.0/current/dom0/fc25/rpm/qubes-mgmt-salt-dom0-virtual-machines-4.0.16-1.fc25.noarch.rpm

but
sudo qubes-dom0-update
does not install it.

Then that’s a Qubes, not Whonix bug.

the file is there:
hxxps://yum.qubes-os.org/r4.0/current/dom0/fc25/rpm/qubes-mgmt-salt-dom0-virtual-machines-4.0.16-1.fc25.noarch.rpm

but
sudo qubes-dom0-update
does not install it.

Patrick isn’t disagreeing with you. He is saying you should report this
to the Qubes maintainers instead. Mine isn’t seeing 4.0.16 either.

1 Like

Fixed.